// Code generated by protoc-gen-connect-go. DO NOT EDIT.
//
// Source: vault/v0alpha/service.proto

package v0alphaconnect

import (
	connect "connectrpc.com/connect"
	context "context"
	errors "errors"
	v0alpha "gitlab.com/sourcehaven/mypass/go.keepsafe/internal/proto/vault/v0alpha"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	http "net/http"
	strings "strings"
)

// This is a compile-time assertion to ensure that this generated file and the connect package are
// compatible. If you get a compiler error that this constant is not defined, this code was
// generated with a version of connect newer than the one compiled into your binary. You can fix the
// problem by either regenerating this code with an older version of connect or updating the connect
// version compiled into your binary.
const _ = connect.IsAtLeastVersion1_13_0

const (
	// VaultServiceName is the fully-qualified name of the VaultService service.
	VaultServiceName = "vault.v0alpha.VaultService"
)

// These constants are the fully-qualified names of the RPCs defined in this package. They're
// exposed at runtime as Spec.Procedure and as the final two segments of the HTTP route.
//
// Note that these are different from the fully-qualified method names used by
// google.golang.org/protobuf/reflect/protoreflect. To convert from these constants to
// reflection-formatted method names, remove the leading slash and convert the remaining slash to a
// period.
const (
	// VaultServiceCreatePasswordProcedure is the fully-qualified name of the VaultService's
	// CreatePassword RPC.
	VaultServiceCreatePasswordProcedure = "/vault.v0alpha.VaultService/CreatePassword"
	// VaultServiceSavePasswordProcedure is the fully-qualified name of the VaultService's SavePassword
	// RPC.
	VaultServiceSavePasswordProcedure = "/vault.v0alpha.VaultService/SavePassword"
	// VaultServiceSaveK4LPasswordProcedure is the fully-qualified name of the VaultService's
	// SaveK4LPassword RPC.
	VaultServiceSaveK4LPasswordProcedure = "/vault.v0alpha.VaultService/SaveK4LPassword"
	// VaultServiceFindPasswordsProcedure is the fully-qualified name of the VaultService's
	// FindPasswords RPC.
	VaultServiceFindPasswordsProcedure = "/vault.v0alpha.VaultService/FindPasswords"
	// VaultServiceFindMe2PasswordsProcedure is the fully-qualified name of the VaultService's
	// FindMe2Passwords RPC.
	VaultServiceFindMe2PasswordsProcedure = "/vault.v0alpha.VaultService/FindMe2Passwords"
	// VaultServiceFindPasswordByIdProcedure is the fully-qualified name of the VaultService's
	// FindPasswordById RPC.
	VaultServiceFindPasswordByIdProcedure = "/vault.v0alpha.VaultService/FindPasswordById"
	// VaultServiceFindMe2PasswordByIdProcedure is the fully-qualified name of the VaultService's
	// FindMe2PasswordById RPC.
	VaultServiceFindMe2PasswordByIdProcedure = "/vault.v0alpha.VaultService/FindMe2PasswordById"
	// VaultServiceDeletePasswordByIdProcedure is the fully-qualified name of the VaultService's
	// DeletePasswordById RPC.
	VaultServiceDeletePasswordByIdProcedure = "/vault.v0alpha.VaultService/DeletePasswordById"
	// VaultServiceDeleteMe2PasswordByIdProcedure is the fully-qualified name of the VaultService's
	// DeleteMe2PasswordById RPC.
	VaultServiceDeleteMe2PasswordByIdProcedure = "/vault.v0alpha.VaultService/DeleteMe2PasswordById"
)

// These variables are the protoreflect.Descriptor objects for the RPCs defined in this package.
var (
	vaultServiceServiceDescriptor                     = v0alpha.File_vault_v0alpha_service_proto.Services().ByName("VaultService")
	vaultServiceCreatePasswordMethodDescriptor        = vaultServiceServiceDescriptor.Methods().ByName("CreatePassword")
	vaultServiceSavePasswordMethodDescriptor          = vaultServiceServiceDescriptor.Methods().ByName("SavePassword")
	vaultServiceSaveK4LPasswordMethodDescriptor       = vaultServiceServiceDescriptor.Methods().ByName("SaveK4LPassword")
	vaultServiceFindPasswordsMethodDescriptor         = vaultServiceServiceDescriptor.Methods().ByName("FindPasswords")
	vaultServiceFindMe2PasswordsMethodDescriptor      = vaultServiceServiceDescriptor.Methods().ByName("FindMe2Passwords")
	vaultServiceFindPasswordByIdMethodDescriptor      = vaultServiceServiceDescriptor.Methods().ByName("FindPasswordById")
	vaultServiceFindMe2PasswordByIdMethodDescriptor   = vaultServiceServiceDescriptor.Methods().ByName("FindMe2PasswordById")
	vaultServiceDeletePasswordByIdMethodDescriptor    = vaultServiceServiceDescriptor.Methods().ByName("DeletePasswordById")
	vaultServiceDeleteMe2PasswordByIdMethodDescriptor = vaultServiceServiceDescriptor.Methods().ByName("DeleteMe2PasswordById")
)

// VaultServiceClient is a client for the vault.v0alpha.VaultService service.
type VaultServiceClient interface {
	// CreatePassword creates a new password,
	// with an automatically generated key, if necessary.
	CreatePassword(context.Context, *connect.Request[v0alpha.CreatePasswordRequest]) (*connect.Response[v0alpha.CreatePasswordResponse], error)
	// SavePassword overwrites a given password by its primary key.
	// All fields will be written, even the empty ones.
	// E.g. if you would attempt to save an entry with an empty
	// password, it will be done accordingly.
	SavePassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error)
	// SaveK4LPassword is the same as SavePassword, but it does not
	// simply overwrites the previous record. Instead, if enabled, it will
	// save a new record, marking the old record as a parent, and soft deleting
	// the parent record.
	SaveK4LPassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error)
	// FindPasswords should fetch all passwords from underlying data storage.
	FindPasswords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error)
	// FindMe2Passwords should fetch only the password with the required id.
	FindMe2Passwords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error)
	// FindPasswordById should fetch only the password with the required id,
	// including soft deleted records too.
	FindPasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error)
	// FindMe2PasswordById should fetch only the password with the required id,
	// including soft deleted records too.
	FindMe2PasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error)
	// DeletePasswordById should soft delete the password described by the request,
	// if soft deletion is enabled.
	DeletePasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error)
	// DeleteMe2PasswordById should hard delete the password described by the request.
	DeleteMe2PasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error)
}

// NewVaultServiceClient constructs a client for the vault.v0alpha.VaultService service. By default,
// it uses the Connect protocol with the binary Protobuf Codec, asks for gzipped responses, and
// sends uncompressed requests. To use the gRPC or gRPC-Web protocols, supply the connect.WithGRPC()
// or connect.WithGRPCWeb() options.
//
// The URL supplied here should be the base URL for the Connect or gRPC server (for example,
// http://api.acme.com or https://acme.com/grpc).
func NewVaultServiceClient(httpClient connect.HTTPClient, baseURL string, opts ...connect.ClientOption) VaultServiceClient {
	baseURL = strings.TrimRight(baseURL, "/")
	return &vaultServiceClient{
		createPassword: connect.NewClient[v0alpha.CreatePasswordRequest, v0alpha.CreatePasswordResponse](
			httpClient,
			baseURL+VaultServiceCreatePasswordProcedure,
			connect.WithSchema(vaultServiceCreatePasswordMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		savePassword: connect.NewClient[v0alpha.SavePasswordRequest, v0alpha.SavePasswordResponse](
			httpClient,
			baseURL+VaultServiceSavePasswordProcedure,
			connect.WithSchema(vaultServiceSavePasswordMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		saveK4LPassword: connect.NewClient[v0alpha.SavePasswordRequest, v0alpha.SavePasswordResponse](
			httpClient,
			baseURL+VaultServiceSaveK4LPasswordProcedure,
			connect.WithSchema(vaultServiceSaveK4LPasswordMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		findPasswords: connect.NewClient[emptypb.Empty, v0alpha.FindPasswordsResponse](
			httpClient,
			baseURL+VaultServiceFindPasswordsProcedure,
			connect.WithSchema(vaultServiceFindPasswordsMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		findMe2Passwords: connect.NewClient[emptypb.Empty, v0alpha.FindPasswordsResponse](
			httpClient,
			baseURL+VaultServiceFindMe2PasswordsProcedure,
			connect.WithSchema(vaultServiceFindMe2PasswordsMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		findPasswordById: connect.NewClient[v0alpha.FindPasswordByIdRequest, v0alpha.FindPasswordByIdResponse](
			httpClient,
			baseURL+VaultServiceFindPasswordByIdProcedure,
			connect.WithSchema(vaultServiceFindPasswordByIdMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		findMe2PasswordById: connect.NewClient[v0alpha.FindPasswordByIdRequest, v0alpha.FindPasswordByIdResponse](
			httpClient,
			baseURL+VaultServiceFindMe2PasswordByIdProcedure,
			connect.WithSchema(vaultServiceFindMe2PasswordByIdMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		deletePasswordById: connect.NewClient[v0alpha.DeletePasswordByIdRequest, v0alpha.DeletePasswordByIdResponse](
			httpClient,
			baseURL+VaultServiceDeletePasswordByIdProcedure,
			connect.WithSchema(vaultServiceDeletePasswordByIdMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
		deleteMe2PasswordById: connect.NewClient[v0alpha.DeletePasswordByIdRequest, v0alpha.DeletePasswordByIdResponse](
			httpClient,
			baseURL+VaultServiceDeleteMe2PasswordByIdProcedure,
			connect.WithSchema(vaultServiceDeleteMe2PasswordByIdMethodDescriptor),
			connect.WithClientOptions(opts...),
		),
	}
}

// vaultServiceClient implements VaultServiceClient.
type vaultServiceClient struct {
	createPassword        *connect.Client[v0alpha.CreatePasswordRequest, v0alpha.CreatePasswordResponse]
	savePassword          *connect.Client[v0alpha.SavePasswordRequest, v0alpha.SavePasswordResponse]
	saveK4LPassword       *connect.Client[v0alpha.SavePasswordRequest, v0alpha.SavePasswordResponse]
	findPasswords         *connect.Client[emptypb.Empty, v0alpha.FindPasswordsResponse]
	findMe2Passwords      *connect.Client[emptypb.Empty, v0alpha.FindPasswordsResponse]
	findPasswordById      *connect.Client[v0alpha.FindPasswordByIdRequest, v0alpha.FindPasswordByIdResponse]
	findMe2PasswordById   *connect.Client[v0alpha.FindPasswordByIdRequest, v0alpha.FindPasswordByIdResponse]
	deletePasswordById    *connect.Client[v0alpha.DeletePasswordByIdRequest, v0alpha.DeletePasswordByIdResponse]
	deleteMe2PasswordById *connect.Client[v0alpha.DeletePasswordByIdRequest, v0alpha.DeletePasswordByIdResponse]
}

// CreatePassword calls vault.v0alpha.VaultService.CreatePassword.
func (c *vaultServiceClient) CreatePassword(ctx context.Context, req *connect.Request[v0alpha.CreatePasswordRequest]) (*connect.Response[v0alpha.CreatePasswordResponse], error) {
	return c.createPassword.CallUnary(ctx, req)
}

// SavePassword calls vault.v0alpha.VaultService.SavePassword.
func (c *vaultServiceClient) SavePassword(ctx context.Context, req *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error) {
	return c.savePassword.CallUnary(ctx, req)
}

// SaveK4LPassword calls vault.v0alpha.VaultService.SaveK4LPassword.
func (c *vaultServiceClient) SaveK4LPassword(ctx context.Context, req *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error) {
	return c.saveK4LPassword.CallUnary(ctx, req)
}

// FindPasswords calls vault.v0alpha.VaultService.FindPasswords.
func (c *vaultServiceClient) FindPasswords(ctx context.Context, req *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error) {
	return c.findPasswords.CallUnary(ctx, req)
}

// FindMe2Passwords calls vault.v0alpha.VaultService.FindMe2Passwords.
func (c *vaultServiceClient) FindMe2Passwords(ctx context.Context, req *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error) {
	return c.findMe2Passwords.CallUnary(ctx, req)
}

// FindPasswordById calls vault.v0alpha.VaultService.FindPasswordById.
func (c *vaultServiceClient) FindPasswordById(ctx context.Context, req *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error) {
	return c.findPasswordById.CallUnary(ctx, req)
}

// FindMe2PasswordById calls vault.v0alpha.VaultService.FindMe2PasswordById.
func (c *vaultServiceClient) FindMe2PasswordById(ctx context.Context, req *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error) {
	return c.findMe2PasswordById.CallUnary(ctx, req)
}

// DeletePasswordById calls vault.v0alpha.VaultService.DeletePasswordById.
func (c *vaultServiceClient) DeletePasswordById(ctx context.Context, req *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error) {
	return c.deletePasswordById.CallUnary(ctx, req)
}

// DeleteMe2PasswordById calls vault.v0alpha.VaultService.DeleteMe2PasswordById.
func (c *vaultServiceClient) DeleteMe2PasswordById(ctx context.Context, req *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error) {
	return c.deleteMe2PasswordById.CallUnary(ctx, req)
}

// VaultServiceHandler is an implementation of the vault.v0alpha.VaultService service.
type VaultServiceHandler interface {
	// CreatePassword creates a new password,
	// with an automatically generated key, if necessary.
	CreatePassword(context.Context, *connect.Request[v0alpha.CreatePasswordRequest]) (*connect.Response[v0alpha.CreatePasswordResponse], error)
	// SavePassword overwrites a given password by its primary key.
	// All fields will be written, even the empty ones.
	// E.g. if you would attempt to save an entry with an empty
	// password, it will be done accordingly.
	SavePassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error)
	// SaveK4LPassword is the same as SavePassword, but it does not
	// simply overwrites the previous record. Instead, if enabled, it will
	// save a new record, marking the old record as a parent, and soft deleting
	// the parent record.
	SaveK4LPassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error)
	// FindPasswords should fetch all passwords from underlying data storage.
	FindPasswords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error)
	// FindMe2Passwords should fetch only the password with the required id.
	FindMe2Passwords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error)
	// FindPasswordById should fetch only the password with the required id,
	// including soft deleted records too.
	FindPasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error)
	// FindMe2PasswordById should fetch only the password with the required id,
	// including soft deleted records too.
	FindMe2PasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error)
	// DeletePasswordById should soft delete the password described by the request,
	// if soft deletion is enabled.
	DeletePasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error)
	// DeleteMe2PasswordById should hard delete the password described by the request.
	DeleteMe2PasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error)
}

// NewVaultServiceHandler builds an HTTP handler from the service implementation. It returns the
// path on which to mount the handler and the handler itself.
//
// By default, handlers support the Connect, gRPC, and gRPC-Web protocols with the binary Protobuf
// and JSON codecs. They also support gzip compression.
func NewVaultServiceHandler(svc VaultServiceHandler, opts ...connect.HandlerOption) (string, http.Handler) {
	vaultServiceCreatePasswordHandler := connect.NewUnaryHandler(
		VaultServiceCreatePasswordProcedure,
		svc.CreatePassword,
		connect.WithSchema(vaultServiceCreatePasswordMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceSavePasswordHandler := connect.NewUnaryHandler(
		VaultServiceSavePasswordProcedure,
		svc.SavePassword,
		connect.WithSchema(vaultServiceSavePasswordMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceSaveK4LPasswordHandler := connect.NewUnaryHandler(
		VaultServiceSaveK4LPasswordProcedure,
		svc.SaveK4LPassword,
		connect.WithSchema(vaultServiceSaveK4LPasswordMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceFindPasswordsHandler := connect.NewUnaryHandler(
		VaultServiceFindPasswordsProcedure,
		svc.FindPasswords,
		connect.WithSchema(vaultServiceFindPasswordsMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceFindMe2PasswordsHandler := connect.NewUnaryHandler(
		VaultServiceFindMe2PasswordsProcedure,
		svc.FindMe2Passwords,
		connect.WithSchema(vaultServiceFindMe2PasswordsMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceFindPasswordByIdHandler := connect.NewUnaryHandler(
		VaultServiceFindPasswordByIdProcedure,
		svc.FindPasswordById,
		connect.WithSchema(vaultServiceFindPasswordByIdMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceFindMe2PasswordByIdHandler := connect.NewUnaryHandler(
		VaultServiceFindMe2PasswordByIdProcedure,
		svc.FindMe2PasswordById,
		connect.WithSchema(vaultServiceFindMe2PasswordByIdMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceDeletePasswordByIdHandler := connect.NewUnaryHandler(
		VaultServiceDeletePasswordByIdProcedure,
		svc.DeletePasswordById,
		connect.WithSchema(vaultServiceDeletePasswordByIdMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	vaultServiceDeleteMe2PasswordByIdHandler := connect.NewUnaryHandler(
		VaultServiceDeleteMe2PasswordByIdProcedure,
		svc.DeleteMe2PasswordById,
		connect.WithSchema(vaultServiceDeleteMe2PasswordByIdMethodDescriptor),
		connect.WithHandlerOptions(opts...),
	)
	return "/vault.v0alpha.VaultService/", http.HandlerFunc(func(w http.ResponseWriter, r *http.Request) {
		switch r.URL.Path {
		case VaultServiceCreatePasswordProcedure:
			vaultServiceCreatePasswordHandler.ServeHTTP(w, r)
		case VaultServiceSavePasswordProcedure:
			vaultServiceSavePasswordHandler.ServeHTTP(w, r)
		case VaultServiceSaveK4LPasswordProcedure:
			vaultServiceSaveK4LPasswordHandler.ServeHTTP(w, r)
		case VaultServiceFindPasswordsProcedure:
			vaultServiceFindPasswordsHandler.ServeHTTP(w, r)
		case VaultServiceFindMe2PasswordsProcedure:
			vaultServiceFindMe2PasswordsHandler.ServeHTTP(w, r)
		case VaultServiceFindPasswordByIdProcedure:
			vaultServiceFindPasswordByIdHandler.ServeHTTP(w, r)
		case VaultServiceFindMe2PasswordByIdProcedure:
			vaultServiceFindMe2PasswordByIdHandler.ServeHTTP(w, r)
		case VaultServiceDeletePasswordByIdProcedure:
			vaultServiceDeletePasswordByIdHandler.ServeHTTP(w, r)
		case VaultServiceDeleteMe2PasswordByIdProcedure:
			vaultServiceDeleteMe2PasswordByIdHandler.ServeHTTP(w, r)
		default:
			http.NotFound(w, r)
		}
	})
}

// UnimplementedVaultServiceHandler returns CodeUnimplemented from all methods.
type UnimplementedVaultServiceHandler struct{}

func (UnimplementedVaultServiceHandler) CreatePassword(context.Context, *connect.Request[v0alpha.CreatePasswordRequest]) (*connect.Response[v0alpha.CreatePasswordResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.CreatePassword is not implemented"))
}

func (UnimplementedVaultServiceHandler) SavePassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.SavePassword is not implemented"))
}

func (UnimplementedVaultServiceHandler) SaveK4LPassword(context.Context, *connect.Request[v0alpha.SavePasswordRequest]) (*connect.Response[v0alpha.SavePasswordResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.SaveK4LPassword is not implemented"))
}

func (UnimplementedVaultServiceHandler) FindPasswords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.FindPasswords is not implemented"))
}

func (UnimplementedVaultServiceHandler) FindMe2Passwords(context.Context, *connect.Request[emptypb.Empty]) (*connect.Response[v0alpha.FindPasswordsResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.FindMe2Passwords is not implemented"))
}

func (UnimplementedVaultServiceHandler) FindPasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.FindPasswordById is not implemented"))
}

func (UnimplementedVaultServiceHandler) FindMe2PasswordById(context.Context, *connect.Request[v0alpha.FindPasswordByIdRequest]) (*connect.Response[v0alpha.FindPasswordByIdResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.FindMe2PasswordById is not implemented"))
}

func (UnimplementedVaultServiceHandler) DeletePasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.DeletePasswordById is not implemented"))
}

func (UnimplementedVaultServiceHandler) DeleteMe2PasswordById(context.Context, *connect.Request[v0alpha.DeletePasswordByIdRequest]) (*connect.Response[v0alpha.DeletePasswordByIdResponse], error) {
	return nil, connect.NewError(connect.CodeUnimplemented, errors.New("vault.v0alpha.VaultService.DeleteMe2PasswordById is not implemented"))
}
